--
-- Created by: BadLuckBurt
-- Date: 5/3/15
-- Time: 6:51 PM
--

local system = {}

function system:initialize()
	self:getDimensions()
end

function system:printFPS()
	love.graphics.print("Current FPS: "..tostring(love.timer.getFPS()), 10, 10)
end


function system:getPixelStep(dtCurrent, dtMax)
	local dtPixelStep = 0
	local dtScale = dtCurrent / dtMax
	if(dtScale >= 1.5) then
		dtPixelStep = math.ceil(dtScale)
	else
		dtPixelStep = math.floor(dtScale)
	end
	return dtPixelStep
end

function system:getDimensions()
	local width, height = love.graphics.getDimensions()
	self.width = width
	self.height = height
end

return system