--
-- Created by: BadLuckBurt
-- Date: 5/3/15
-- Time: 2:48 PM
--

local keymap = {}

keymap.up = "w"
keymap.upPressed = false

keymap.right = "d"
keymap.rightPressed = false

keymap.down = "s"
keymap.downPressed = false

keymap.left = "a"
keymap.leftPressed = false

keymap.r = "r"
keymap.rPressed = false

function keymap:press(key)
	if key == self.up then
		self.upPressed = true
		if debug == true then print ("Up pressed") end
	end
	if key == self.right then
		self.rightPressed = true
		if debug == true then print ("Right pressed") end
	end
	if key == self.down then
		self.downPressed = true
		if debug == true then print ("Down pressed") end
	end
	if key == self.left then
		self.leftPressed = true
		if debug == true then print ("Left pressed") end
	end
	if key == self.r then
		self.rPressed = true
		if debug == true then print("R pressed") end
	end
end

function keymap:release(key)
	if key == self.up then
		self.upPressed = false
		if debug == true then print ("Up released") end
	end
	if key == self.right then
		self.rightPressed = false
		if debug == true then print ("Right released") end
	end
	if key == self.down then
		self.downPressed = false
		if debug == true then print ("Down released") end
	end
	if key == self.left then
		self.leftPressed = false
		if debug == true then print ("Left released") end
	end
	if key == self.r then
		self.rPressed = false
		if debug == true then print("R released") end
	end

end

return keymap