--
-- Created by: BadLuckBurt
-- Date: 5/3/15
-- Time: 6:48 PM
--

local tilemapRenderer = {}

function tilemapRenderer:drawMap(map)
	local x = 1
	local y = 1
	local maxX = map.width / map.tileWidth
	local maxY = map.height / map.tileHeight
	local drawX = 0
	local drawY = 0

	local canvas = love.graphics.newCanvas(map.width, map.height)
	love.graphics.setCanvas(canvas)

	for y=1,maxY,1 do
		drawY = map.tileHeight * (y - 1)
		for x=1,maxX,1 do
			drawX = map.tileWidth * (x - 1)
			if map.tiles[y][x] == "water" then
				love.graphics.setColor(1,1,200,255)
			else
				love.graphics.setColor(200,200,1,255)
			end
			love.graphics.rectangle('fill',drawX,drawY,map.tileWidth,map.tileHeight)
		end
	end
	love.graphics.setCanvas()
	return canvas
end

return tilemapRenderer